%define version 1.0.5

Name: redhat-access-plugin-sat5
Version:  %{version}
Release: 16%{?dist}
Summary:  Red Hat Access Plugin for Satellite 5.7
Group:  Applications/System 
License:  MIT
Source0: sat5-proxy-1.0.war
Source1: sat5-proxy-1.0.pom
Source2: sat5-proxy-1.0-scm-sources.zip
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Red Hat Access Plugin for Satellite 5.7


%prep
%setup -q -T -b 2 -n redhat-access-plugin-sat5


%build


%install
echo `pwd`
echo `ls`
rm -rf %{buildroot}
#httpd.conf
mkdir -p %{buildroot}/etc/httpd/conf.d
cp source/rh-insights-sat5.conf %{buildroot}/etc/httpd/conf.d
#js
mkdir -p %{buildroot}/var/www/html/javascript
cp source/gui/dist/scripts/insights.js %{buildroot}/var/www/html/javascript
#css
mkdir -p %{buildroot}/var/www/html/css
cp source/gui/dist/styles/insights.css %{buildroot}/var/www/html/css
#war
mkdir -p %{buildroot}/usr/share/tomcat6/webapps
cp %{SOURCE0} %{buildroot}/usr/share/tomcat6/webapps/redhat_access.war
#jsp files
mkdir -p %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/admin
mkdir -p %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/sdc
cp source/jsp/admin/insights.jsp %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/admin
cp source/jsp/systems/insights.jsp %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems
cp source/jsp/systems/sdc/insights.jsp %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/sdc
#log
mkdir -p %{buildroot}/var/log/rhai
touch %{buildroot}/var/log/rhai/rhai.log
#properties file
mkdir -p %{buildroot}/etc/redhat-access/
cp source/resources/redhat-access-insights.properties %{buildroot}/etc/redhat-access/redhat-access-insights.properties
cp source/resources/rhai.keystore %{buildroot}/etc/redhat-access/rhai.keystore
#console helper
mkdir -p %{buildroot}/etc/pam.d
cp source/resources/redhat-access-systemid.pam %{buildroot}/etc/pam.d/redhat-access-systemid
mkdir -p %{buildroot}/usr/sbin
cp source/resources/redhat-access-systemid_wrapper.sh %{buildroot}/usr/sbin/redhat-access-systemid-wrapper
ln -s /usr/bin/consolehelper %{buildroot}/usr/sbin/redhat-access-systemid
mkdir -p %{buildroot}/etc/security/console.apps
cp source/resources/redhat-access-systemid_console.apps %{buildroot}/etc/security/console.apps/redhat-access-systemid
#dan's people page gpg key
mkdir -p %{buildroot}/var/www/html/pub
cp source/resources/rhinsights.gpg %{buildroot}/var/www/html/pub/rhinsights.gpg


%files
%defattr(0644,root,root)
%config /etc/httpd/conf.d/rh-insights-sat5.conf
%config(noreplace) %attr(0644,tomcat,tomcat) /etc/redhat-access/redhat-access-insights.properties
/etc/redhat-access/rhai.keystore
/var/www/html/javascript/insights.js
/var/www/html/css/insights.css
/usr/share/tomcat6/webapps/redhat_access.war
/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/insights.jsp
/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/sdc/insights.jsp
/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/admin/insights.jsp
%attr(0755,tomcat,root) /var/log/rhai/
%attr(0644,tomcat,tomcat) /var/log/rhai/rhai.log
/etc/pam.d/redhat-access-systemid
/etc/security/console.apps/redhat-access-systemid
%attr(0750,root,tomcat) /usr/sbin/redhat-access-systemid-wrapper
%attr(0750,root,tomcat) /usr/sbin/redhat-access-systemid
/var/www/html/pub/rhinsights.gpg


%changelog
* Fri Jun 19 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.5-16
- Update repo location

* Thu Jun 18 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.4-15
- CSS bug fixes

* Wed Jun 17 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.3-13
- Upgrade insights to 3.0.6

* Wed Jun 10 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.2-1
- Add Dan's people page repo's gpg key

* Mon Jun 8 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.1-1
- Version 1.0-3

* Mon Jun 8 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.0-2
- Version 1.0-2

* Mon Jun 8 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.0-1
- Version 1.0-1
